(*====================================================================
    File rDBConst.pas

    Components library for Delphi, Kylix and BCB++.
      DBAware-.
    Russian resources for DBAware components.

    Copyright  1998-2008, PSTG
    http://www.polesoft.ru
    mailto:support@polesoft.ru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
$Id: rDBConst.pas,v 1.5 2008/09/05 09:00:45 savchenko Exp $
======================================================================*)
unit rDBConst;

{$I POLARIS.INC}

interface

resourcestring
  RDBN_Custom = '';
  RDBN_Post   = ' ';
  RDBN_Cancel = ' ';
  RDBN_Delete = '  ';
  RDBN_Edit   = '  ';
  RDBN_Insert = ' ';
  RDBN_Refresh= ' ';
  RDBN_First  = '   ';
  RDBN_Prior  = '   ';
  RDBN_Next   = '   ';
  RDBN_Last   = '   ';
  RDBN_View   = '  ';
  RDBN_NULL   = ' ';

  RDBA_Custom = '';
  RDBA_Post   = '&';
  RDBA_Cancel = '&';
  RDBA_Delete = '&';
  RDBA_Edit   = '&...';
  RDBA_Insert = '&...';
  RDBA_Refresh= '&';
  RDBA_First  = '&';
  RDBA_Prior  = '&';
  RDBA_Next   = '&';
  RDBA_Last   = '&';
  RDBA_View   = '&';
  RDBA_NULL   = '&';

  srFilterKey     = '\Filters\';
  srFilterValue   = 'FilterExpression';
  srDatabaseValue = 'Database';

  srFixedColsKey  = 'FixedCols';
  srRowSelectKey  = 'RowSelect';
  srEditingKey  = 'Editing';
  srDefaultRowHeight = 'DefaultRowHeight';
  srFieldsSubKey  = '\Fields';

  srChangesAfterRestart = '       !';

  srSQLIBSysDate = 'SELECT CAST(''NOW'' AS DATE) as DATE1 FROM RDB$DATABASE';
  srSQLOraSysDate = 'SELECT SysDate FROM Dual';

  trdbtreeEqualsField = 'ChildrenField  ParentField   .';

  trdMaxLevelError = '   MaxLevel -1..32767.';
  trdDictionarySetError = '  .';
  trdMaxLeveling = '    .';
  trdBookmarkError = ' Bookmark ''%s''.';
  trdBookmarkRoot = '  .';
  trdConnectedError = '    SourceFieldName  ConnectedFieldName.';
  trdNodeNotFound = '  .';
  trdActiveItem = ' (%d)    (%d).';

  srLocateDenied = ' .';
  srFirstLocateNeed = '   .';
  srNotFound = ' ''%s''   ''%s''  .';
  srFieldNotFound = '   ''%s''.';
  srNoLocatingString = '   .';

  srBDEErrorTitle = '     :';
  srBDEErrorDesc  = ' BDE %d (: %d, : %d): %s';
  srSQLErrorDesc  = '  %d: %s';
  srDBErrorTitle  = '    :';
  srActiveDB      = ' : %s';
// DBX before Delphi 7.1
  srSQLServerError = ' SQL : %s';
  srBDEGeneralSQLError = '  SQL.%s';

  srDBUserName = '()';
  srOSUserName = '()';

  srConnectNoDB = '   .\n    .';
  srConnectDatabase = '& :';

  srGridImage = ' ';
  srGridMemo  = ' memo-';
  srChoiceImg = ' ';

  srRecord = ',,';
  srDeleteRecordQuestion = ' %s?';
  srDeleteMultipleRecordsQuestion = ' %d %s?';

implementation

end.
